# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:           perl-Scalar-Properties
Version:        1.100860
Release:        alt1_2
Summary:        Run-time properties on scalar variables
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Scalar-Properties/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MARCEL/Scalar-Properties-%{version}.tar.gz
Patch3:         Scalar-Properties-1.100860-skip-MYMETA.yml.patch
BuildArch:      noarch
# ===================================================================
# Build requirements
# ===================================================================
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# ===================================================================
# Module requirements
# ===================================================================
# (no non-core/dual-lived requirements)
# ===================================================================
# Test requirements
# ===================================================================
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/More.pm)
# ===================================================================
# Author test requirements
# (skipped as the Critic test fails in version 1.100860)
# ===================================================================
BuildRequires:  perl(English.pm)
BuildConflicts: perl(Test::Perl::Critic)
# ===================================================================
# Release test requirements
# (Spelling check can't find "versa" in version 1.100860)
# ===================================================================
BuildRequires:  perl(Pod/Coverage/TrustPod.pm)
BuildConflicts: perl(Pod::Wordlist::hanekomu)
BuildRequires:  perl(Test/CheckChanges.pm)
BuildRequires:  perl(Test/CPAN/Meta.pm)
BuildRequires:  perl(Test/DistManifest.pm)
BuildRequires:  perl(Test/HasVersion.pm)
BuildRequires:  perl(Test/Kwalitee.pm)
BuildRequires:  perl(Test/MinimumVersion.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Portability/Files.pm)
BuildRequires:  perl(Test/Spelling.pm) aspell-en
BuildRequires:  perl(Test/Synopsis.pm)
# ===================================================================
# Runtime requirements
# ===================================================================
Source44: import.info

%description
Scalar::Properties attempts to make Perl more object-oriented by taking an idea
from Ruby: Everything you manipulate is an object, and the results of those
manipulations are objects themselves.

%prep
%setup -q -n Scalar-Properties-%{version}

# MANIFEST.SKIP should include MYMETA.yml; otherwise, t/release-dist-manifest.t
# may fail due to it appearing unexpectedly
%patch3 -p1

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} %{buildroot}

%check
make test AUTHOR_TESTING=1 RELEASE_TESTING=1

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/Scalar/

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.100860-alt1_2
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.100860-alt1_1
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_11
- fc import

